package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "AUDIT_MODULE")
public class AuditModule implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "AUDITMODULE_ID")
	private Long auditModuleId;

	@Column(name = "NAMEMODULE")
	private String nameModule;

	@Column(name = "INDAUDITABLE")
	private Boolean indAuditable;

	public Long getAuditModuleId() {
		return auditModuleId;
	}

	public void setAuditModuleId(Long auditModuleId) {
		this.auditModuleId = auditModuleId;
	}

	public Boolean getIndAuditable() {
		return indAuditable;
	}

	public String getNameModule() {
		return nameModule;
	}

	public void setNameModule(String nameModule) {
		this.nameModule = nameModule;
	}

	public void setIndAuditable(Boolean indAuditable) {
		this.indAuditable = indAuditable;
	}
	
	@Override
	public String toString() {
		return nameModule;
	}
}
